Google Flights SERP API Parameters Guide
Review Google Flights SERP API parameters for flight searches, dates, routes, passengers, and travel result options.
With Talordata SERP API, you can configure Google Flights queries, including number of passengers and advanced parameters output options.
departure_id,Departure airport code (Required)
Parameter defines the departure airport code or location kgmid.
An airport code is an uppercase 3-letter code. You can search for it on Google Flights or IATA.
For example, CDG is Paris Charles de Gaulle Airport and AUS is Austin-Bergstrom International Airport.
A location kgmid is a string that starts with /m/. You can search for a location on Wikidata and use its "Freebase ID" as the location kgmid. For example, /m/0vzm is the location kgmid for Austin, TX.
You can specify multiple departure airports by separating them with a comma. For example, CDG,ORY,/m/04jpl.
Example Request:
Example using the parameter departure_id: CDG
curl -X POST https://serpapi.talordata.net/serp/v1/request \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Authorization: Bearer token" \
-d "engine=google_flights" \
-d "departure_id=CDG" \
-d "arrival_id=AUS" \
-d "json=1" \
-d "outbound_date=2025-08-31"arrival_id,Arrival airport code (Required)
Parameter defines the arrival airport code or location kgmid.
An airport code is an uppercase 3-letter code. You can search for it on Google Flights or IATA.
For example, CDG is Paris Charles de Gaulle Airport and AUS is Austin-Bergstrom International Airport.
A location kgmid is a string that starts with /m/. You can search for a location on Wikidata and use its "Freebase ID" as the location kgmid. For example, /m/0vzm is the location kgmid for Austin, TX.
You can specify multiple arrival airports by separating them with a comma. For example, CDG,ORY,/m/04jpl.
Example Request:
Example using the parameter arrival_id: AUS
curl -X POST https://serpapi.talordata.net/serp/v1/request \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Authorization: Bearer token" \
-d "engine=google_flights" \
-d "departure_id=CDG" \
-d "arrival_id=AUS" \
-d "json=1" \
-d "outbound_date=2025-08-31"Advanced Parameters
outbound_date ,utbound Date(Optional)
Parameter defines the outbound date. The format is YYYY-MM-DD. e.g. 2025-08-31
Example Request:
Example results for departure_id: CDG,arrival_id: AUS,outbound_date:2025-08-31
curl -X POST https://serpapi.talordata.net/serp/v1/request \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Authorization: Bearer token" \
-d "engine=google_flights" \
-d "departure_id=CDG" \
-d "arrival_id=AUS" \
-d "json=1" \
-d "outbound_date=2025-08-31"return_date ,Return Date(Optional)
Parameter defines the return date. The format is YYYY-MM-DD. e.g. 2025-09-06
Example Request:
Example results for departure_id: CDG,arrival_id: AUS,return_date:2025-09-06
curl -X POST https://serpapi.talordata.net/serp/v1/request \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Authorization: Bearer token" \
-d "engine=google_flights" \
-d "departure_id=CDG" \
-d "arrival_id=AUS" \
-d "json=1" \
-d "outbound_date=2025-08-31" \
-d "return_date=2025-09-06"travel_class ,Travel Class(Optional)
Parameter defines the travel class.
Available options:
1 - Economy (default)
2 - Premium economy
3 - Business
4 - First
Code Example:
Example results for departure_id: CDG,arrival_id: AUS,travel_class:1
curl -X POST https://serpapi.talordata.net/serp/v1/request \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Authorization: Bearer token" \
-d "engine=google_flights" \
-d "departure_id=CDG" \
-d "arrival_id=AUS" \
-d "json=1" \
-d "travel_class=1"Number of Passengers
adults ,Number of Adults(Optional)
This parameter defines the number of adults. The default value is 1.
Code Example:
Example results for departure_id: CDG,arrival_id: AUS,adults:1
children ,Number of Children(Optional)
This parameter defines the number of children. The default value is 0.
Example Request:
Example results for departure_id: CDG,arrival_id: AUS,children:0
infants_in_seat,Number of Infants in seat(Optional)
This parameter defines the number of infants that can be accommodated in a seat. The default value is 0.
Code Example:
Example results for departure_id: CDG,arrival_id: AUS,infants_in_seat:1
infants_on_lap ,Number of Infants on lap(Optional)
This parameter defines the number of lap infants. The default value is 0.
Code Example:
Example results for departure_id: CDG,arrival_id: AUS,infants_on_lap:0
If you need further assistance, feel free to contact us via live chat or email [email protected].
Last updated